with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGPathSegLinetoVerticalRel_Interface is

   procedure Initialize (This : in out ISVGPathSegLinetoVerticalRel_Type) is
   begin
      Set_IID (This, IID_ISVGPathSegLinetoVerticalRel);
   end Initialize;

   function Pointer (This : ISVGPathSegLinetoVerticalRel_Type)
     return Pointer_To_ISVGPathSegLinetoVerticalRel
   is
   begin
      return To_Pointer_To_ISVGPathSegLinetoVerticalRel (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGPathSegLinetoVerticalRel_Type;
                     Pointer : in     Pointer_To_ISVGPathSegLinetoVerticalRel)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure Put_y
     (This : ISVGPathSegLinetoVerticalRel_Type;
      p    : Interfaces.C.C_float)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Put_y
         (Pointer (This),
          p));

   end Put_y;

   function Get_y
     (This : ISVGPathSegLinetoVerticalRel_Type)
     return Interfaces.C.C_float
   is
       RetVal : aliased Interfaces.C.C_float;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_y
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_y;

end MSHTML.ISVGPathSegLinetoVerticalRel_Interface;

